# Sample mini-dinstall.conf with all the options -*- coding: utf-8; mode: generic -*-

# Options that apply to all distributions
[DEFAULT]
# The root of the archive.
archivedir = ~/debian/

# The default loglevel which is sent to you via email.  Valid values
# are taken from the Python logging module: DEBUG, INFO, WARN, ERROR,
# and CRITICAL.  You may also use NONE, to avoid email altogether.
mail_log_level = ERROR

# The user to mail logs to
mail_to = username

# The loglevel upon which to immediately send you queued log messages.
mail_log_flush_level = ERROR

# The number of log messages upon which an email will be sent to you.
mail_log_flush_count = 10

# Whether or not to trigger a reindex of Packages/Sources files
# immediately after every installation (in daemon mode).  If you
# disable this option, you should almost certainly have
# dynamic_reindex enabled.  You may want to disable this if you
# install a *lot* of packages.
trigger_reindex = 1

# Whether or not to verify GPG signatures on .changes files
verify_sigs = 1

# GNUPG keyrings to use for signature verification, separated by
# commas.  This will override the builtin keyrings.  Generally you
# shouldn't specify this option; use extra_keyrings instead.
keyrings = /usr/share/keyrings/debian-keyring.gpg, /path/to/other/keyring.gpg

# Additional GNUPG keyrings to use for signature verification, separated by commas
extra_keyrings = ~/.gnupg/pubring.gpg, ~/.gnupg/other.gpg

# The permissions for the incoming directory.  If you want to use
# mini-dinstall for a group of people, you might want to make this
# more permissive.
incoming_permissions = 0750

### The remaining options can also be specified in a per-distribution
### basis

# What architecture subdirectories to create.
architectures = all, i386, sparc, powerpc

# The style of archive.  "flat" is the default; it puts all .debs in
# the archive directory.  The other alternative is "simple-subdir",
# which puts .debs from each architecture in a separate subdirectory.
archive_style = flat

# Whether or not to mail you about successful installations
mail_on_success = 1

# Whether or not to delete old packages
keep_old = 0

# A script to run before a .changes is installed.  It is called with
# the full path to the .changes as an argument.  If it exits with an
# error, then the .changes is skipped.
pre_install_script = ~/bin/pre-inst.sh

# A script to run when a .changes is successfully installed.
# It is called with the full path to the .changes as an argument.
post_install_script = ~/bin/post-inst.sh

# Whether or not to generate Release files
generate_release = 1

# The default Origin: field in the release file 
release_origin = username

# The default Label: field in the release file 
release_label = username

# The default Suite: field in the release file 
release_suite = Penthouse

# The default Description: field in the release file 
release_description = My Happy Fun Packages

# If specified, this script will be called to sign Release files.  It
# will be invoked in the directory containing the Release file, and
# should accept the filename of the Release file to sign as the first
# argument (note it is passed a temporary filename, not "Release").
# It should generate a detached signature in a file named Release.gpg.
release_signscript = ~/bin/sign-release.sh

# Whether or not to watch directories for changes, and reindex
# Packages/Sources as needed.  Only used in daemon mode.
dynamic_reindex = 1

# Whether or not to make .changes files unreadable to others by
# default.  This will protect you from other people unexpectedly
# uploading your packages.  Please think carefully about your security
# before you change this!
chown_changes_files = 1

# Whether or not to use /usr/bin/dnotify.  This doesn't work on some
# systems, so you might want to disable it.  Only used if
# dynamic_reindex is enabled.
use_dnotify = 0

# If you use the mtime-polling directory notifier, this is the number
# of seconds in between polls. Only used if dynamic_reindex is
# enabled.
poll_time = 30

# The maximum number of seconds to wait for an incomplete upload
# before rejecting it.  The default is two days.
max_retry_time = 172800

# The following are just some sample distributions, with a few sample
# distribution-specific options.

[local]
poll_time = 40

[woody]
max_retry_time = 30
keep_old = 1

[staging]
post_install_script = ~/bin/staging-post-inst.sh

[experimental]
architectures = all, i386, sparc, powerpc, ia64, sh4
keep_old = 1
